From dfd64f740b346d6085a3d5af134bd8f44c84b085 Mon Sep 17 00:00:00 2001
From: CHEN Xiangyu <xiangyu.chen@aol.com>
Date: Sun, 17 Oct 2021 16:45:33 +0800
Subject: [PATCH] boot/at91bootstrap3: add svn repository method

Since more and more traditional companies are starting using buildroot
with AT91SAMx chipset as their product firmware, much of them are still
using SVN as their version control system. So add svn repository method
to AT91bootstrap3 package.
---
 boot/at91bootstrap3/Config.in         | 14 +++++++++++---
 boot/at91bootstrap3/at91bootstrap3.mk |  3 +++
 2 files changed, 14 insertions(+), 3 deletions(-)

diff --git a/boot/at91bootstrap3/Config.in b/boot/at91bootstrap3/Config.in
index 650d3a23c8..3cfc0bbe14 100644
--- a/boot/at91bootstrap3/Config.in
+++ b/boot/at91bootstrap3/Config.in
@@ -30,6 +30,14 @@ config BR2_TARGET_AT91BOOTSTRAP3_CUSTOM_GIT
 	  This option allows Buildroot to get the AT91 Bootstrap 3
 	  source code from a Git repository.
 
+config BR2_TARGET_AT91BOOTSTRAP3_CUSTOM_SVN
+	bool "Custom SVN repository"
+	help
+	  This option allows Buildroot to get the AT91 Bootstrap 3
+	  source code from a Subversion repository
+
+
+
 config BR2_TARGET_AT91BOOTSTRAP3_CUSTOM_TARBALL
 	bool "Custom tarball"
 
@@ -39,7 +47,7 @@ config BR2_TARGET_AT91BOOTSTRAP3_CUSTOM_TARBALL_LOCATION
 	string "URL of custom AT91Bootstrap tarball"
 	depends on BR2_TARGET_AT91BOOTSTRAP3_CUSTOM_TARBALL
 
-if BR2_TARGET_AT91BOOTSTRAP3_CUSTOM_GIT
+if BR2_TARGET_AT91BOOTSTRAP3_CUSTOM_GIT || BR2_TARGET_AT91BOOTSTRAP3_CUSTOM_SVN
 
 config BR2_TARGET_AT91BOOTSTRAP3_CUSTOM_REPO_URL
 	string "URL of custom repository"
@@ -47,7 +55,7 @@ config BR2_TARGET_AT91BOOTSTRAP3_CUSTOM_REPO_URL
 config BR2_TARGET_AT91BOOTSTRAP3_CUSTOM_REPO_VERSION
 	string "Custom repository version"
 	help
-	  Revision to use in the typical format used by Git
+	  Revision to use in the typical format used by Git or SVN
 	  E.G. a sha id, a tag, branch, ..
 
 endif
@@ -57,7 +65,7 @@ config BR2_TARGET_AT91BOOTSTRAP3_VERSION
 	default "v4.0.0" if BR2_TARGET_AT91BOOTSTRAP3_LATEST_VERSION
 	default "v3.10.3" if BR2_TARGET_AT91BOOTSTRAP3_LATEST_VERSION_3X
 	default BR2_TARGET_AT91BOOTSTRAP3_CUSTOM_REPO_VERSION \
-		if BR2_TARGET_AT91BOOTSTRAP3_CUSTOM_GIT
+		if BR2_TARGET_AT91BOOTSTRAP3_CUSTOM_GIT || BR2_TARGET_AT91BOOTSTRAP3_CUSTOM_SVN
 	default "custom"	if BR2_TARGET_AT91BOOTSTRAP3_CUSTOM_TARBALL
 
 config BR2_TARGET_AT91BOOTSTRAP3_CUSTOM_PATCH_DIR
diff --git a/boot/at91bootstrap3/at91bootstrap3.mk b/boot/at91bootstrap3/at91bootstrap3.mk
index 1e2a3a44b0..f609176a3f 100644
--- a/boot/at91bootstrap3/at91bootstrap3.mk
+++ b/boot/at91bootstrap3/at91bootstrap3.mk
@@ -15,6 +15,9 @@ else ifeq ($(BR2_TARGET_AT91BOOTSTRAP3_CUSTOM_GIT),y)
 AT91BOOTSTRAP3_SITE = $(call qstrip,$(BR2_TARGET_AT91BOOTSTRAP3_CUSTOM_REPO_URL))
 AT91BOOTSTRAP3_SITE_METHOD = git
 BR_NO_CHECK_HASH_FOR += $(AT91BOOTSTRAP3_SOURCE)
+else ifeq ($(BR2_TARGET_AT91BOOTSTRAP3_CUSTOM_SVN),y)
+AT91BOOTSTRAP3_SITE_METHOD = svn
+BR_NO_CHECK_HASH_FOR += $(AT91BOOTSTRAP3_SOURCE)
 else
 AT91BOOTSTRAP3_SITE = $(call github,linux4sam,at91bootstrap,$(AT91BOOTSTRAP3_VERSION))
 endif
-- 
2.26.2

